Bug 826816 - Anaconda attempts to mount a filesystem in an inactive LVM volume and then dies
Anaconda attempts to mount a filesystem in an inactive LVM volume and then dies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 23:54 EDT by Nicholas Miell
Modified: 2013-07-31 19:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:54:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda traceback (286.99 KB, text/plain)
2012-05-30 23:54 EDT, Nicholas Miell
no flags Details

  None (edit)
Description Nicholas Miell 2012-05-30 23:54:43 EDT
Created attachment 587930 [details]
Anaconda traceback

Description of problem:
Anaconda attempts to mount a filesystem listed in /etc/fstab, but fails because the LVM volume that contains that filesystem is not active.

Version-Release number of selected component (if applicable):
Fedora 17

How reproducible:
Always

Steps to Reproduce:
1. Configure a Fedora 16 system with two volume groups, one containing / and another that contains a logical volume that is listed in /etc/fstab
2. Attempt to upgrade to Fedora 17.
  
Actual results:
DeviceError: ('device has not been created', 'UUID=54ec116e-37ea-40c0-836a-e85b66a41faf')

Expected results:
A working upgrade.
Comment 1 David Lehman 2012-05-31 10:59:59 EDT
What disk contains the PVs for the Storage VG? Udev only sees sda and sdb, neither of which appears to contain the PVs for your Storage VG. Given that we cannot see the PVs, it's no surprise we cannot activate the VG or its LVs.
Comment 2 Nicholas Miell 2012-05-31 12:50:17 EDT
sdb1: /boot
sdb2: a PV containing the System-Entropy VG
sda1: a PV containing the Storage VG

"vgchange -a y Storage" at the bash prompt on VT2 activates the VG without problem.
Comment 3 David Lehman 2012-05-31 13:10:44 EDT
(In reply to comment #2)
> sdb1: /boot
> sdb2: a PV containing the System-Entropy VG
> sda1: a PV containing the Storage VG
> 
> "vgchange -a y Storage" at the bash prompt on VT2 activates the VG without
> problem.

Udev does not seem to detect any formatting at all on sda1. If udev does not see it, neither will anaconda. As a workaround, you can simply comment out that entry from your /etc/fstab prior to install and then uncomment it afterwards. If you'd prefer, I can try to help you figure out why udev does not recognize the PV.
Comment 4 Nicholas Miell 2012-05-31 13:12:07 EDT
I'll just comment it out and file a new bug against udev.

Thanks for the help.
Comment 5 Ron Gonzalez 2012-07-19 17:10:33 EDT
I am having same problem, f17 fails to properly mark volume as active and of course mount point in fstab fails.  See 743740:

Here is the device entry in my fstab

/dev/Media/Media        /home/iscsi_media               ext4    _netdev                 0 0

Lvdisplay
[root@talon etc]# lvdisplay
  Found duplicate PV 0Sr9Gk3S33xrlGukU9J9ljlBzW2lGaMI: using /dev/sdc not /dev/sdb
  --- Logical volume ---
  LV Path                /dev/Media/Media
  LV Name                Media
  VG Name                Media
  LV UUID                CXHKOD-BXoY-SKlG-98Cm-Gp2Z-7x3b-GqBjuX
  LV Write Access        read/write
  LV Creation host, time ,
  LV Status              NOT available
  LV Size                2.73 TiB
  Current LE             715399
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto

pvdisplay

[root@talon etc]# pvdisplay
  Found duplicate PV 0Sr9Gk3S33xrlGukU9J9ljlBzW2lGaMI: using /dev/sdc not /dev/sdb
  --- Physical volume ---
  PV Name               /dev/sdc
  VG Name               Media
  PV Size               2.73 TiB / not usable 4.00 MiB
  Allocatable           yes (but full)
  PE Size               4.00 MiB
  Total PE              715399
  Free PE               0
  Allocated PE          715399
  PV UUID               0Sr9Gk-3S33-xrlG-ukU9-J9lj-lBzW-2lGaMI

Here is what seems to be the problem:

[root@talon etc]# lvscan
  Found duplicate PV 0Sr9Gk3S33xrlGukU9J9ljlBzW2lGaMI: using /dev/sdc not /dev/sdb
  inactive          '/dev/Media/Media' [2.73 TiB] inherit

It is inactive on boot, why do I need to run vgchange -ay all the time to make the volume active?  

I think this should be taken care of automagically no?
Comment 6 David Lehman 2012-07-19 18:05:03 EDT
(In reply to comment #5)
> I am having same problem, f17 fails to properly mark volume as active and of
> course mount point in fstab fails.  See 743740:

Ron, this bug is about things going wrong at install time and is completely unrelated to your issue. You should continue to track your issue in bug 743740.
Comment 7 Fedora End Of Life 2013-07-03 18:12:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 19:54:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.